Skip to main content
`Ctrl`+`K`

# Obs

This module contains the class to manage observation in a GPS track Points are referenced in geodetic coordinates

class tracklib.core.Obs.Obs(position, timestamp=None)

  Class to define an observation

  __init__(position, timestamp=None)

    Constructor of `Obs` class

    Parameters

      - position (`ENUCoords`) – A point coordinate

      - timestamp (`Optional`[`ObsTime`]) – The time stamp of acquisition (Default timestamp is 1970/01/01 00:00:00)

  __str__()

    String of observation

    Return type

      `str`

  copy()

    Copy the current object

    Return type

      `Obs`

  __check_call_geom1(obs1, obs2)

    TODO

    Parameters

      - fname – TODO

      - obs1 (`Obs`) – TODO

      - obs2 (`Obs`) – TODO

  __check_call_geom2(obs1, obs2)

    TODO

    Parameters

      - fname – TODO

      - obs1 (`Obs`) – TODO

      - obs2 (`Obs`) – TODO

  distanceTo(obs)

    Compute the distance between two observations

    Parameters

      obs (`Obs`) – Observation

    Return type

      `float`

    Returns

      A 3d distance

  distance2DTo(obs)

    Compute the 2d distance between two observations

    Parameters

      obs (`Obs`) – Observation

    Return type

      `float`

    Returns

      A 2d distance

  azimuthTo(obs)

    Compute the azimuth between two observations

    Parameters

      obs (`Obs`) – Observation

    Return type

      `float`

    Returns

      An azimuth

  elevationTo(obs)

    Compute the elevation between two observations

    Parameters

      obs (`Obs`) – Observation

    Return type

      `float`

    Returns

      An Elevation